"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProofsByTemplateId = void 0;
var _reactHooks = require("@aries-framework/react-hooks");
var _react = require("react");
var _metadata = require("../types/metadata");
const useProofsByTemplateId = templateId => {
  const {
    records: proofs
  } = (0, _reactHooks.useProofs)();
  return (0, _react.useMemo)(() => proofs.filter(proof => {
    const metadata = proof === null || proof === void 0 ? void 0 : proof.metadata.get(_metadata.ProofMetadata.customMetadata);
    if ((metadata === null || metadata === void 0 ? void 0 : metadata.proof_request_template_id) === templateId) {
      return proof;
    }
  }), [proofs, templateId]);
};
exports.useProofsByTemplateId = useProofsByTemplateId;
//# sourceMappingURL=proofs.js.map